SystemManagerG_common_agent_service_restart
=================================================

Description
-----------

This role restarts the SystemManager G agent. The user can store the setting in the location specified by this role and execute it for the agent server to restart the agent.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.

Note
----

Execute this role for the SystemManager G agent server.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

There are no required parameters.

### Optional variables

Specify parameters as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

There are no parameters.

Dependencies
------------

None

Usage
-----

1. Specify the agent installation folder name according to the OS type of target host.

2. Set the required variables for this role. For details, see "Role Variables".

3. Set optional variables for this role as needed. For details, see "Role Variables".

4. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_agent
      roles:
        - role: SystemManagerG_common_agent_service_restart

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
