SystemManagerG_install_agent
============================

Description
-----------

本RoleはSystemManager G エージェント/論理システムエージェントのインストールを行います。利用者は、WebSAM Mediaからインストール用アーカイブを作成し、本Role指定の場所に格納して実行することで、エージェントのインストールを行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* RHELの場合は、Ansibleのyumモジュールを利用して製品の動作に必要なOSパッケージの確認とインストールを行います。事前に、以下のいずれかの設定を行ってください。なお、OSパッケージの詳細はSystemManager Gリリースメモを参照ください。
 * 構築対象サーバに必要なOSパッケージを事前にインストールする。
 * 構築対象サーバにyumリポジトリを適切に設定し、yumコマンドにより必要なOSパッケージのインストールが可能な状態にする。

Note
----

* 本Roleを使ってエージェントのバージョンアップは行えません。
* RHELの場合は、エージェントの動作のための必須パッケージとしてncompressまたはgzipが必要です。本Roleではgzipの確認とインストールを行います。
* WebSAM Media リリースメモにインストール時の注意事項について記載がありますので本書と合わせて参照してください。

Role Variables
--------------

本Roleで使用する変数(defaults/main.yml)について説明します。

### Mandatory variables

実行時には、以下の変数を必ず指定してください。

#### VAR_SystemManagerG_agent_install_type

インストールするエージェントの種類を指定します。
エージェントの場合はnormalを指定します。
論理システムエージェントの場合はlogicalを指定します。

#### VAR_SystemManagerG_manager_name

マネージャのホスト名を指定します。
64文字以内で指定してください。
日本語などのマルチバイト文字は指定できません。

### Optional variables

以下の変数は任意で指定してください。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。
128文字以内で指定してください。
日本語などのマルチバイト文字を含めることはできません。

本変数を指定しない場合には以下がインストール先となります。

* エージェント
 * Windowsの場合: %ProgramFiles(x86)%\NEC\UMF\Operations
 * RHELの場合: /opt/UMF/Operations

* 論理システムエージェント
 * Windowsの場合: %ProgramFiles(x86)%\NEC\UMF\OperationsLogical
 * RHELの場合: /opt/UMF/OperationsLogical

#### VAR_SystemManagerG_agent_name

エージェントの自ホスト名を指定します。
64文字以内で指定してください。
日本語などのマルチバイト文字は指定できません。

本変数を指定しない場合は以下の値が設定されます。

* Windowsの場合: 環境変数%COMPUTERNAME%の値
* RHELの場合: hostnameコマンドを実行して表示される値

#### VAR_SystemManagerG_agent_port

エージェント内部通信用ポートを指定します。
1024～65535の範囲で指定してください。

本変数を指定しない場合は12570が設定されます。

#### VAR_SystemManagerG_agent_data_directory

データ領域を分ける場合にデータディレクトリを指定します。
128文字以内で指定してください。
日本語などのマルチバイト文字を含めることはできません。

本変数は論理システムエージェントの場合のみ指定できます。
本変数を指定しない場合はデータ領域を分けない設定になります。

#### VAR_SystemManagerG_agent_store_initial_setting_data

データ領域へ初期データをインストールするかどうかを指定します。
初期データをインストールする場合は0を指定します。
初期データをインストールしない場合は1を指定します。

本変数は論理システムエージェントの場合のみ指定できます。
本変数を指定しない場合は初期データがインストールされます。

#### VAR_SystemManagerG_agent_service_identifier

マルチインスタンス製品のサービスを識別するための値を指定します。
16文字以内で指定してください。

本変数はシングルインスタンス構成では指定不要です。
マルチインスタンス構成では指定が必須です。

#### VAR_SystemManagerG_agent_service_number

サービス名に付加する番号を指定します。
1～999の範囲で指定してください。

本変数を指定しない場合はインストール時に番号が自動設定されます。

#### VAR_SystemManagerG_manager_port

マネージャとの通信ポートを指定します。
1024～65535の範囲で指定してください。

本変数を指定しない場合は12520が設定されます。

#### VAR_SystemManagerG_agent_topology_group

エージェントが登録されるトポロジビューのグループ名を指定します。
エージェントのインストール完了後、指定したグループ名に登録されます。
日本語などのマルチバイト文字の指定が可能です。

指定するグループ名はトポロジビューにあらかじめ存在する必要があります。
事前にトポロジビューに作成してください。
また、グループ名はトポロジビュー内で一意になるように作成してください。

本変数を指定しない場合には、トポロジビューの未登録のホストに登録されます。

GroupAにエージェントを登録する場合の例

    + トポロジビュー
      + GroupA
      + GroupB
      + GroupC

    VAR_SystemManagerG_agent_group: GroupA

階層構成の場合でも登録するグループ名のみを指定します。

GroupCにエージェントを登録する場合の例

    + トポロジビュー
      + GroupA
        + GroupB
          + GroupC

    VAR_SystemManagerG_agent_group: GroupC


#### VAR_SystemManagerG_tmp_path

本Roleが使用する一時作業ディレクトリを指定します。
一時作業ディレクトリには、インストール用アーカイブ(本Roleのfiles配下)サイズ分の空き容量が必要です。

128文字以内で指定してください。
日本語などのマルチバイト文字を含めることはできません。

指定したディレクトリが存在しない場合は、自動的に作成されます。
本Roleが正常に終了した場合、ディレクトリは自動的に削除されます。

本変数を指定しない場合には以下のディレクトリを使用します。

* Windowsの場合: %TEMP%\sysmgrg_ansible
* RHELの場合: /tmp/sysmgrg_ansible

Dependencies
------------

なし

Usage
-----

1) トポロジビューの指定グループにエージェントが登録される機能を有効化します。下記設定ファイルに、内容を追記してください。

* 設定ファイルの場所
    <マネージャインストールパス>/Manager/sg/TopologyMgr.ini

* 記述内容
  以下の2行を追記してください。

    [Automation]
    Remake=0

* 設定ファイルが存在しない場合は、新規に設定ファイルを作成してください。
* Windowsの場合は設定ファイルは文字コード「UTF-16LE(BOMあり)」改行コード「CR+LF」で記述してください。RHELの場合は文字コード「UTF-8(BOMなし)」改行コード「LF」 で記述してください。
* 設定ファイルに内容を追記後、マネージャの再起動は不要です。
* トポロジビューの指定グループにエージェントが登録される機能を使用しない場合は、本手順は不要です。

2) WebSAM Mediaからエージェントのインストール用アーカイブを作成します。

* WebSAM Mediaが /media にマウントされており、作業ディレクトリに /tmp を使用する場合の作成手順を示します。
* Windowsエージェントのインストール用アーカイブを作成する場合、Linux上で次のコマンドを実行してWindows.zipを作成します。

    $ cd /tmp
    $ mkdir -p ./Windows/Product/UMF/PRODUCT
    $ cp -rfp /media/Windows/Product/UMF/SETUP ./Windows/Product/UMF
    $ cp -rfp /media/Windows/Product/UMF/SYSTEM ./Windows/Product/UMF
    $ cp -rfp /media/Windows/Product/UMF/FRAMEWORK ./Windows/Product/UMF
    $ cp -rfp /media/Windows/Product/UMF/PRODUCT/Product100 ./Windows/Product/UMF/PRODUCT
    $ cp -rfp /media/Windows/Product/UMF/PRODUCT/Product200 ./Windows/Product/UMF/PRODUCT
    $ zip Windows.zip -r Windows

* RHELエージェントのインストール用アーカイブを作成する場合、Linux上で次のコマンドを実行してLinux.tarを作成します。

    $ cd /tmp
    $ mkdir -p ./Linux/Product/UMF/PRODUCT
    $ cp -rfp /media/Linux/Product/UMF/SETUP ./Linux/Product/UMF
    $ cp -rfp /media/Linux/Product/UMF/FRAMEWORK ./Linux/Product/UMF
    $ cp -rfp /media/Linux/Product/UMF/PRODUCT/Product100 ./Linux/Product/UMF/PRODUCT
    $ cp -rfp /media/Linux/Product/UMF/PRODUCT/Product200 ./Linux/Product/UMF/PRODUCT
    $ tar cvf Linux.tar Linux

3) インストール用アーカイブを本Roleのfilesディレクトリに配置します。

    SystemManagerG_install_agent
    |- files
    |  |- Windows.zip
    |  |- Linux.tar

4) SystemManager G 9.1以前のエージェントの場合、下記の[移動元]に格納されているファイルを[移動先]に手動にて上書きしてください。
   SystemManager G 9.2以降のエージェントの場合、本手順は不要です。

    [移動元]
     SystemManagerG_install_agent/vars/sysmgrg9.1/RedHat-6.yml
     SystemManagerG_install_agent/vars/sysmgrg9.1/RedHat-7.yml

    [移動先]
     SystemManagerG_install_agent/vars/RedHat-6.yml
     SystemManagerG_install_agent/vars/RedHat-7.yml

5) 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。
6) 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。
7) Playbookを実行します。

Example Playbook
----------------

提供したRoleを"roles"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: AgentServers
      vars_files:
        - vars/main.yml
      roles:
        - role: SystemManagerG_install_agent

vars/main.yml の内容

    VAR_SystemManagerG_agent_install_type: normal
    VAR_SystemManagerG_manager_name: ManagerServer
    VAR_SystemManagerG_agent_topology_group: GroupA

Restrictions
------------

* 本RoleとSystemManagerG_setup_agent-ApplicationMonitor-XXX(XXXはミドルウェア名)のroleを同一Playbookに記述して実行すると失敗する場合があります。Playbookを分けて別々に実行するようにしてください。

Troubleshooting
---------------

#### TASK [Check os family] で失敗する

"This OS is not supported." と表示されている場合は、構築対象サーバがサポート対象外のOSです。

#### TASK [Create the temporary directory] で失敗する

VAR_SystemManagerG_tmp_path で指定した一時作業ディレクトリの作成で失敗しています。
指定したパスが正しいか確認してください。

#### TASK [Check the agent installation status] で失敗する

"The agent is already installed in the installation directory" と表示されている場合は、VAR_SystemManagerG_agent_install_path で指定したパス(指定していない場合は既定値)にエージェントが既にインストールされています。

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
