SystemManagerG_setup_agent-ApplicationMonitor-Apache
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with Apache. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with Apache.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install Apache on the server to be built in advance.

Notes
-----

* Execute this role for the SystemManager G Apache monitoring agent server.
* Executing this role restarts Apache.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_Apache_conf_path

Specify the name of the folder to which the Apache conf file is copied.

#####  windows

Specify the folder name for Windows.

#####  linux

Specify the folder name for Linux.

#### VAR_SystemManagerG_Apache_conf_file_name

Specify the name of the Apache conf file.

#### VAR_SystemManagerG_Apache_info_path

Specify the name of the folder to which the Apache info conf file is copied.

#####  windows

Specify the folder name for Windows.

#####  linux

Specify the folder name for Linux.

#### VAR_SystemManagerG_Apache_info_file_name

Specify the name of the Apache info conf file.

#### VAR_SystemManagerG_Apache_service_name

Specify the Apache service name.

#####  windows

Specify the Windows Service name.

#####  linux

Specify the service name.

### Optional variables

Specify parameters as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the Apache monitoring function. This file cannot be renamed.
The name is fixed to CollectorApache.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the Apache monitoring definition file/Apache configuration file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".
The Apache configuration file must have the same character encoding and line feed code as those in the file on the target host.

    SystemManagerG_setup_agent-ApplicationMonitor-Apache
    |- files
    |  |- linux
    |  |  |- CollectorApache.ini
    |  |  |- httpd.conf
    |  |  |- httpd-info.conf
    |  |- windows
    |  |  |- CollectorApache.ini
    |  |  |- httpd.conf
    |  |  |- httpd-info.conf
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_apache
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-Apache

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
