SystemManagerG_setup_agent-ApplicationMonitor-IIS
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのIIS監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、IIS監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。
* FTPサーバー、SMTPサーバーの監視を行う場合は、事前にそれぞれの役割/機能を追加しておく必要があります。

Note
----

* 本RoleはSystemManager G IIS監視のエージェントサーバに対して実行してください。
* 本Roleを実行することによって、Web サーバー、IIS 管理コンソール、IIS 6 メタベース互換の役割が追加されます。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

必須パラメータはありません。

### Optional variables

必要な場合に設定します。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

IIS監視機能の設定ファイル名です。ファイル名変更することはできません。
固定値：CollectorIIS.iniです。

#### VAR_SystemManagerG_agent_collector_file_name

アプリケーション監視機能の共通設定ファイル名です。ファイル名を変更することはできません。
固定値：Collector.iniです。


Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/windowsディレクトリ配下に、IIS監視設定ファイルを格納します。IIS監視定義ファイルは、「文字コード：UTF-16LE(BOMあり) / 改行コード：CR+LF」で作成してください。

    SystemManagerG_setup_agent-ApplicationMonitor-IIS
    |- files
    |  |- windows
    |  |  |- CollectorIIS.ini
    |  |  |- Collector.ini
    |  |  |- ...

2. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

5. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_iis
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-IIS

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
