SystemManagerG_setup_agent-ApplicationMonitor-IIS
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with IIS. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with IIS.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built.
* To monitor the FTP server and/or SMTP server, you must add individual roles and functions in advance.

Notes
-----

* Execute this role for the SystemManager G IIS monitoring agent server.
* Executing this role adds the Web server, IIS management console, and IIS 6 meta base compatible roles.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

There are no required parameters.

### Optional variables

Specify parameters as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the IIS monitoring function. This file cannot be renamed.
The name is fixed to CollectorIIS.ini.

#### VAR_SystemManagerG_agent_collector_file_name

This is the name of the common configuration file for the application monitoring function. This file cannot be renamed.
The name is fixed to Collector.ini.


Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the IIS monitoring configuration file in the files/windows directory for this role. Create the IIS monitoring definition file with "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF".

    SystemManagerG_setup_agent-ApplicationMonitor-IIS
    |- files
    |  |- windows
    |  |  |- CollectorIIS.ini
    |  |  |- Collector.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_iis
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-IIS

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
