SystemManagerG_setup_agent-ApplicationMonitor-JavaApplication
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with Java application. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with Java application.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install Java application on the server to be built in advance.

Note
----

Execute this role for the agent server for SystemManager G Java application monitoring.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_JavaApplication_launch_file_name

Specify the name of Java application startup file.

#### VAR_SystemManagerG_JavaApplication_launch_file_path

Specify the path name of Java application startup file.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_JavaApplication_Access_file_path

Specify the path name of access file.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_JavaApplication_Access_file_name

Specify the name of access file.
The default value is jmxremote.access.

#### VAR_SystemManagerG_JavaApplication_Password_file_path

Specify the path name of password file.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_JavaApplication_Password_file_name

Specify the name of password file.
The default value is jmxremote.password.

#### VAR_SystemManagerG_JavaApplication_UserName_dropped_access_rights

Specify the names of users from whom the password file access authority is removed in a list format.
By default, the following user is specified.
* Users
* SYSTEM
* Authenticated Users

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the Java application monitoring function. This file cannot be renamed.
The name is fixed to CollectorJavaAP.ini.

#### VAR_SystemManagerG_agent_collector_file_name

This is the name of the configuration file for the application monitoring function. This file cannot be renamed.
The name is fixed to Collector.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the Java application monitoring definition file/Java application startup file/password file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".
The Java application startup file/password file must have the same character encoding and line feed code as those in the file on the target host.

    SystemManagerG_setup_agent-ApplicationMonitor-JavaApplication
    |- files
    |  |- linux
    |  |  |- CollectorJavaAP.ini
    |  |  |- Java application startup file
    |  |  |- Password file
    |  |- windows
    |  |  |- CollectorJavaAP.ini
    |  |  |- Java application startup file
    |  |  |- Password file
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_java_application
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-JavaApplication

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
