SystemManagerG_setup_agent-ApplicationMonitor-PostgreSQL
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのPostgreSQL監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、PostgreSQL監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* 構築対象サーバには、事前にPostgreSQLをインストールしておく必要があります。

Note
----

* 本RoleはSystemManager G PostgreSQL監視のエージェントサーバに対して実行してください。
* 本Roleを実行することによって、PostgreSQLが再起動されます。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_PostgreSQL_conf_path

PostgreSQL設定ファイル(postgresql.conf)へのパス名を設定します。

#####  windows

Windows用フォルダ名を指定します。

#####  linux

Linux用フォルダ名を指定します。

#### VAR_SystemManagerG_PostgreSQL_pg_ctl_path

PostgreSQL設定ツール(pg_ctl)へのパス名を設定します。

#####  windows

Windows用フォルダ名を指定します。

#####  linux

Linux用フォルダ名を指定します。

#### VAR_SystemManagerG_PostgreSQL_postgres_user_name

PostgreSQLへの接続ユーザー名を設定します。

#### VAR_SystemManagerG_PostgreSQL_postgres_PGDATA_path

PostgreSQL PGDATAのパス名を設定します。

#####  windows

Windows用フォルダ名を指定します。

#####  linux

Linux用フォルダ名を指定します。

### Optional variables

必要な場合、設定します。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

PostgreSQL監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：CollectorPostgreSQL.iniです。

#### VAR_SystemManagerG_agent_collector_file_name

アプリケーション監視の設定ファイルです。ファイル名を変更することはできません。
固定値：Collector.iniです。

#### VAR_SystemManagerG_PostgreSQL_conf_file_name

PostgreSQLの設定ファイル名です。ファイル名を変更することはできません。
固定値：postgresql.confです。

Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/linuxディレクトリ配下に、PostgreSQL監視定義ファイルを格納します。監視定義ファイルは、「文字コード：UTF-8(BOMなし) / 改行コード：LF」で作成してください。

    SystemManagerG_setup_agent-ApplicationMonitor-postgreSQL
    |- files
    |  |- linux
    |  |  |- CollectorPostgreSQL.ini
    |  |  |- ...

2. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

5. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_postgresql
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-PostgreSQL

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
