SystemManagerG_setup_agent-ApplicationMonitor-PostgreSQL
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with PostgreSQL. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with PostgreSQL.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install PostgreSQL on the server to be built in advance.

Notes
-----

* Execute this role for the SystemManager G PostgreSQL monitoring agent server.
* Executing this role restarts PostgreSQL.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_PostgreSQL_conf_path

Specify the path name of the PostgreSQL configuration file (postgresql.conf).

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_PostgreSQL_pg_ctl_path

Specify the path name of the PostgreSQL configuration tool (pg_ctl).

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_PostgreSQL_postgres_user_name

Specify the user name for connecting to the PostgreSQL.

#### VAR_SystemManagerG_PostgreSQL_postgres_PGDATA_path

Specify the path name of the PostgreSQL PGDATA.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the PostgreSQL monitoring function. This file cannot be renamed.
The name is fixed to CollectorPostgreSQL.ini.

#### VAR_SystemManagerG_agent_collector_file_name

This is the name of the configuration file for the application monitoring function. This file cannot be renamed.
The name is fixed to Collector.ini.

#### VAR_SystemManagerG_PostgreSQL_conf_file_name

This is the name of the configuration file for the PostgreSQL. This file cannot be renamed.
The name is fixed to postgresql.conf.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the SQL Server monitoring configuration file in the files/windows directory for this role. Create the PostgreSQL monitoring definition file with "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF".

    SystemManagerG_setup_agent-ApplicationMonitor-postgreSQL
    |- files
    |  |- linux
    |  |  |- CollectorPostgreSQL.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_postgresql
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-PostgreSQL

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
