SystemManagerG_setup_agent-ApplicationMonitor-SAP
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with SAP. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with SAP.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built.
* It is necessary to install SAP on the server to be built in advance.

Notes
-----

* Execute this role for the SystemManager G SAP monitoring agent server.
* If you set IPv6 to VAR_SystemManagerG_SAP_use_IP_Version, executing this role restarts the OS of SAP monitoring agent server.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

There are no required parameters.

### Optional variables

Specify parameters as needed.

#### VAR_SystemManagerG_VC2005_runtime_msi_path

Specify the name of the folder that contains the Microsoft VS2005 runtime installer.

#### VAR_SystemManagerG_VC2005_runtime_msi_file

Specify the name of the Microsoft VS2005 runtime installer.

#### VAR_SystemManagerG_VC2005_runtime_install

Specify whether to install the Microsoft VS2005 runtime.
The runtime is not installed by default.

#### VAR_SystemManagerG_SAP_use_IP_Version

Specify the version (IPv4/IPv6) of IP used for TCP/IP communication with SAP instances.
IPv4 is used by default.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the SAP monitoring function. This file cannot be renamed.
The name is fixed to CollectorSAP.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the SAP monitoring definition file/SAP NetWeaver RFC library in the files/windows directory for this role. Create the monitoring definition file with "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF".

    SystemManagerG_setup_agent-ApplicationMonitor-SAP
    |- files
    |  |- windows
    |  |  |- CollectorSAP.ini
    |  |  |- icudt34.dll
    |  |  |- icuin34.dll
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_sap
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-SAP

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
