SystemManagerG_setup_agent-ApplicationMonitor-SQLServer
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with SQL Server. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with SQL Server.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built.
* It is necessary to install the SQL Server on the server to be built in advance.

Note
----

Execute this role for the SystemManager G SQL Server monitoring agent server.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_SQLServer_Version

Specify the version of the SQL Server to be monitored.
In SQL Server 2008 or 2008 R2, specify "2008".
In SQL Server 2012 or later, specify "2012".

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the SQL Server monitoring function. This file cannot be renamed.
The name is fixed to CollectorMSSQL.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the SQL Server monitoring configuration file in the files/windows directory for this role. Create the SQL Server monitoring definition file with "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF".

    SystemManagerG_setup_agent-ApplicationMonitor-SQLServer
    |- files
    |  |- windows
    |  |  |- CollectorMSSQL.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_sqlserver
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-SQLServer

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
