SystemManagerG_setup_agent-ApplicationMonitor-SVF
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのSVF監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、SVF監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* 構築対象サーバには、事前にSVFをインストールしておく必要があります。

Note
----

* 本RoleはSystemManager G SVF監視のエージェントサーバに対して実行してください。
* 本Roleを実行することによって、SVFが再起動されます。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_SVF_Password_file_name

SVFへ接続するユーザーのパスワードファイル名を設定します。

#### VAR_SystemManagerG_SVF_Password_file_path

SVFへ接続するユーザーのパスワードファイルのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_SVF_ServiceName_JavaConnectServer

Connect for Java APIのWindowsサービス名を設定します。

#### VAR_SystemManagerG_SVF_ServiceName_RDE_Server

RDE ServerのWindowsサービス名を設定します。

#### VAR_SystemManagerG_SVF_ServiceName_RD_Spool_Balancer

RD Spool BalancerのWindowsサービス名を設定します。

#### VAR_SystemManagerG_SVF_ServiceName_Universal_Connect

Universal ConnectのWindowsサービス名を設定します。

### Optional variables

必要な場合、設定します。

#### VAR_SystemManagerG_SVF_Version

SVFのバージョンを設定します。バージョンには、"V8"または"V9"を指定します。
デフォルト値は"V9"です。

#### VAR_SystemManagerG_SVF_launch_file_path_Java_Connector

SVF Java Connectorの起動ファイルのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_SVF_launch_file_path_RDE_Server

SVF RDE Serverの起動ファイルのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_SVF_launch_file_path_RD_Spool_Balancer

SVF RD Spool Serverの起動ファイルのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_SVF_launch_file_path_Universal_Connector

SVF Universal Connectorの起動ファイルのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_SVF_UserName_dropped_access_rights

パスワードファイルのアクセス権を削除するユーザー名をリスト形式で指定します。
デフォルトでは、以下のユーザーが指定されています。
* Users
* SYSTEM
* Authenticated Users

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

SVF監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：CollectorSVF.iniです。

#### VAR_SystemManagerG_agent_collector_file_name

アプリケーション監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：Collector.iniです。

Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/linuxまたはfiles/windowsディレクトリ配下に、SVF監視定義ファイル/SVF起動ファイル/パスワードファイルを格納します。監視定義ファイルは、Windowsエージェントに適用する場合には「文字コード：UTF-16LE(BOMあり) / 改行コード：CR+LF」、RHELエージェントに適用する場合には「文字コード：UTF-8(BOMなし) / 改行コード：LF」で作成してください。
SVF起動ファイル/パスワードファイルは、対象ホスト上のファイルと同じ文字コード・改行コードのファイルを格納してください。

Windows環境のSVF起動ファイル
 SVF Connect for Java API(SvfJavaConnectServer.run)
 RDE Server(ReportDirectorEnterpriseServer.run)
 RD Spool Balancer(ReportDirectorSpoolBalancer.run)
 Universal Connect / X
  V8: SimpleHttpd.run
  V9: UCXServer.run

Linux環境のSVF起動ファイル
 SVF Connect for Java API(SvfJavaConnectServer)
 RDE Server(rd_server_startup.sh)
 RD Spool Balancer(rd_balancer_startup.sh)
 Universal Connect / X
  V8: SimpleHttpd
  V9: UCXServer

    SystemManagerG_setup_agent-ApplicationMonitor-SVF
    |- files
    |  |- linux
    |  |  |- CollectorSVF.ini
    |  |  |- SVF 起動ファイル
    |  |  |- パスワードファイル
    |  |- windows
    |  |  |- CollectorSVF.ini
    |  |  |- SVF 起動ファイル
    |  |  |- パスワードファイル
    |  |  |- ...

2. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

5. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_java_svf
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-SVF

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
