SystemManagerG_setup_agent-ApplicationMonitor-SVF
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with SVF. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with SVF.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install SVF on the server to be built in advance.

Notes
-----

* Execute this role for the SystemManager G SVF monitoring agent server.
* Executing this role restarts SVF.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_SVF_Password_file_name

Specify the password file name of the user for connecting to the SVF.

#### VAR_SystemManagerG_SVF_Password_file_path

Specify the path name of the password file of the user for connecting to the SVF.

#####  windows

The file path name for Windows cannot be specified.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_SVF_ServiceName_JavaConnectServer

Specify the Windows service name of the Connect for Java API.

#### VAR_SystemManagerG_SVF_ServiceName_RDE_Server

Specify the Windows service name of the RDE Server.

#### VAR_SystemManagerG_SVF_ServiceName_RD_Spool_Balancer

Specify the Windows service name of the RD Spool Balancer.

#### VAR_SystemManagerG_SVF_ServiceName_Universal_Connect

Specify the Windows service name of the Universal Connect.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_SVF_Version

Specify the version of SVF. Specify "V8" or "V9" as the version.
The default value is "V9".

#### VAR_SystemManagerG_SVF_launch_file_path_Java_Connector

Specify the startup file path name of the SVF Java Connector.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_SVF_launch_file_path_RDE_Server

Specify the startup file path name of the SVF RDE Server.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_SVF_launch_file_path_RD_Spool_Balancer

Specify the startup file path name of the SVF RD Spool Server.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_SVF_launch_file_path_Universal_Connector

Specify the startup file path name of the SVF Universal Connector.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_SVF_UserName_dropped_access_rights

Specify the names of users from whom the password file access authority is removed in a list format.
By default, the following user is specified.
* Users
* SYSTEM
* Authenticated Users

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the SVF monitoring function. This file cannot be renamed.
The name is fixed to CollectorSVF.ini.

#### VAR_SystemManagerG_agent_collector_file_name

This is the name of the configuration file for the application monitoring function. This file cannot be renamed.
The name is fixed to Collector.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the SVF monitoring definition file/SVF startup file/password file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".
The SVF startup file/password file must have the same character encoding and line feed code as those in the file on the target host.

SVF startup files for Windows
 SVF Connect for Java API (SvfJavaConnectServer.run)
 RDE Server (ReportDirectorEnterpriseServer.run)
 RD Spool Balancer (ReportDirectorSpoolBalancer.run)
 Universal Connect / X
  V8: SimpleHttpd.run
  V9: UCXServer.run

SVF startup files for Linux
 SVF Connect for Java API (SvfJavaConnectServer)
 RDE Server (rd_server_startup.sh)
 RD Spool Balancer (rd_balancer_startup.sh)
 Universal Connect / X
  V8: SimpleHttpd
  V9: UCXServer

    SystemManagerG_setup_agent-ApplicationMonitor-SVF
    |- files
    |  |- linux
    |  |  |- CollectorSVF.ini
    |  |  |- SVF startup file
    |  |  |- Password file
    |  |- windows
    |  |  |- CollectorSVF.ini
    |  |  |- SVF startup file
    |  |  |- Password file
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_java_svf
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-SVF

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
