SystemManagerG_setup_agent-ApplicationMonitor-Tomcat
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのTomcat監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、Tomcat監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* 構築対象サーバには、事前にTomcatをインストールしておく必要があります。

Note
----

* 本RoleはSystemManager G Tomcat監視のエージェントサーバに対して実行してください。
* 本Roleを実行することによって、Tomcatが再起動されます。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_Tomcat_Service_Name

TomcatのWindowsサービス名を指定します。

#### VAR_SystemManagerG_Tomcat_startup_script_file_path

Linux環境において、Tomcatを起動するスクリプトファイルへのパス名を設定します。

#####  windows

Windows用ファイルパス名を指定することはできません。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_Tomcat_Registory_path

Tomcatのオプションパラメータが定義されているレジストリキーパス名を設定します。

### Optional variables

必要な場合、設定します。

#### VAR_SystemManagerG_Tomcat_startup_script_file_name

Tomcatの起動シェル名を設定します。
デフォルト値は、startup.shです。

#### VAR_SystemManagerG_Tomcat_Registory_variable

レジストリキー名を設定します。
デフォルト値は、Optionsです。

#### VAR_SystemManagerG_Tomcat_Registory_type

レジストリキー種別を設定します。
デフォルト値は、REG_MULTI_SZです。

#### VAR_SystemManagerG_Tomcat_Registory_data

Tomcatのオプションパラメータを設定します。
既存の設定内容を含めて、1行で設定します。レジストリデータ上での改行は、\0を使用します。

<認証なし>
 -Dcom.sun.management.jmxremote.ssl=false
 -Dcom.sun.management.jmxremote.port=8999
 -Dcom.sun.management.jmxremote.authenticate=false

<認証あり>
 -Dcom.sun.management.jmxremote.ssl=false
 -Dcom.sun.management.jmxremote.port=8999
 -Dcom.sun.management.jmxremote.password.file=C:\Program Files\Java\jre7\lib\management\jmxremote.password
 -Dcom.sun.management.jmxremote.access.file=C:\Program Files\Java\jre7\lib\management\jmxremote.access

＜設定例＞
-Dcatalina.home=C:\Program Files\Apache Software Foundation\Tomcat 7.0\0-Dcatalina.base=C:\Program Files\Apache Software Foundation\Tomcat 7.0\0-Djava.endorsed.dirs=C:\Program Files\Apache Software Foundation\Tomcat 7.0\endorsed\0-Djava.io.tmpdir=C:\Program Files\Apache Software Foundation\Tomcat 7.0\temp\0-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager\0-Djava.util.logging.config.file=C:\Program Files\Apache Software Foundation\Tomcat 7.0\conf\logging.properties\0-Dcom.sun.management.jmxremote.ssl=false\0-Dcom.sun.management.jmxremote.port=8999\0-Dcom.sun.management.jmxremote.authenticate=false

#### VAR_SystemManagerG_Tomcat_Access_file_path

アクセスファイルのパス名を設定します。

#####  windows

windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_Tomcat_Access_file_name

アクセスファイルのファイル名を設定します。
デフォルト値は、jmxremote.accessです。

#### VAR_SystemManagerG_Tomcat_Password_file_path

パスワードファイルのパス名を設定します。

#####  windows

windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_Tomcat_Password_file_name

パスワードファイルのファイル名を設定します。
デフォルト値は、jmxremote.passwordです。

#### VAR_SystemManagerG_Tomcat_UserName_dropped_access_rights

パスワードファイルのアクセス権を削除するユーザー名をリスト形式で指定します。
デフォルトでは、以下のユーザーが指定されています。
* Users
* SYSTEM
* Authenticated Users

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

Tomcat監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：CollectorTomcat.iniです。

#### VAR_SystemManagerG_agent_collector_file_name

アプリケーション監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：Collector.iniです。

Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/linuxまたはfiles/windowsディレクトリ配下に、Tomcat監視定義ファイル/Tomcat起動ファイル/パスワードファイルを格納します。監視定義ファイルは、Windowsエージェントに適用する場合には「文字コード：UTF-16LE(BOMあり) / 改行コード：CR+LF」、RHELエージェントに適用する場合には「文字コード：UTF-8(BOMなし) / 改行コード：LF」で作成してください。
Tomcat起動ファイル/パスワードファイルは、対象ホスト上のファイルと同じ文字コード・改行コードのファイルを格納してください。

    SystemManagerG_setup_agent-ApplicationMonitor-Tomcat
    |- files
    |  |- linux
    |  |  |- CollectorTomcat.ini
    |  |  |- Tomcat 起動ファイル
    |  |  |- パスワードファイル
    |  |- windows
    |  |  |- CollectorTomcat.ini
    |  |  |- Tomcat 起動ファイル
    |  |  |- パスワードファイル
    |  |  |- ...

2. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

5. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_java_tomcat
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-Tomcat

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
