SystemManagerG_setup_agent-ApplicationMonitor-WebLogicServer
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with WebLogic Server. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with WebLogic Server.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install WebLogic Server on the server to be built in advance.

Note
----

Execute this role for the SystemManager G WebLogic Server monitoring agent server.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

There are no required parameters.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the WebLogic Server monitoring function. This file cannot be renamed.
The name is fixed to CollectorWebLogic.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the WebLogic Server monitoring definition file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".

    SystemManagerG_setup_agent-ApplicationMonitor-WebLogicServer
    |- files
    |  |- linux
    |  |  |- CollectorWebLogic.ini
    |  |- windows
    |  |  |- CollectorWebLogic.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_java_weblogic
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-WebLogicServer

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
