SystemManagerG_setup_agent-ApplicationMonitor-WebOTX
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのWebOTX監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、WebOTX監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* 構築対象サーバには、事前にWebOTXをインストールしておく必要があります。

Note
----

本RoleはSystemManager G WebOTX監視のエージェントサーバに対して実行してください。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_WebOTX_Version

WebOTX Application Serverのバージョンを設定します。
例: V10.1

#### VAR_SystemManagerG_WebOTX_otxadmin_path

otxadminコマンドが格納されているフォルダ名をフルパスで設定します。

#####  windows

Windows用ファイルパス名を指定します。

#####  linux

Linux用ファイルパス名を指定します。

#### VAR_SystemManagerG_WebOTX_login_user_name

WebOTXへのログインユーザー名を設定します。

#### VAR_SystemManagerG_WebOTX_login_password

WebOTXへのログインするユーザーのパスワードを設定します。平文での設定となります。

#### VAR_SystemManagerG_WebOTX_port_number

WebOTXへの接続先ポート番号を設定します。

### Optional variables

必要な場合、設定します。

#### VAR_SystemManagerG_WebOTX_monitor_ESB (true or false)

WebOTX ESB機能の監視を行うか否かを設定します。
既定値は監視しない(false)です。

#### VAR_SystemManagerG_WebOTX_USE_JMXMP (true or false)

旧互換プロトコル(JMXMP)を使用するか否かを設定します。
既定値は使用しない(false)です。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

WebOTX監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：CollectorWebOTX.iniです。

Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/linuxまたはfiles/windowsディレクトリ配下に、WebOTX監視定義ファイルを格納します。監視定義ファイルは、Windowsエージェントに適用する場合には「文字コード：UTF-16LE(BOMあり) / 改行コード：CR+LF」、RHELエージェントに適用する場合には「文字コード：UTF-8(BOMなし) / 改行コード：LF」で作成してください。

    SystemManagerG_setup_agent-ApplicationMonitor-WebOTX
    |- files
    |  |- linux
    |  |  |- CollectorWebOTX.ini
    |  |- windows
    |  |  |- CollectorWebOTX.ini
    |  |  |- ...

2. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

5. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_java_webotx
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-WebOTX

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
