SystemManagerG_setup_agent-ApplicationMonitor-WebOTX
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with WebOTX. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with WebOTX.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install WebOTX on the server to be built in advance.

Note
----

Execute this role for the agent server for SystemManager G WebOTX monitoring.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_WebOTX_Version

Specify the version of WebOTX Application Server.
e.g. V10.1

#### VAR_SystemManagerG_WebOTX_otxadmin_path

Specify the full path name of the folder in which otxadmin command is stored.

#####  windows

Specify the file path name for Windows.

#####  linux

Specify the file path name for Linux.

#### VAR_SystemManagerG_WebOTX_login_user_name

Specify the login user name to WebOTX.

#### VAR_SystemManagerG_WebOTX_login_password

Specify the login password to WebOTX. Specify them in plain text.

#### VAR_SystemManagerG_WebOTX_port_number

Specify the port number for connecting to WebOTX.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_WebOTX_monitor_ESB (true or false)

Specify whether the WebOTX ESB function is monitored.
The default value is false (not monitored).

#### VAR_SystemManagerG_WebOTX_USE_JMXMP (true or false)

Specify whether the old compatible protocol (JMXMP) is used.
The default value is false (not monitored).

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the WebOTX monitoring function. This file cannot be renamed.
The name is fixed to CollectorWebOTX.ini.

Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the WebOTX monitoring definition file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".

    SystemManagerG_setup_agent-ApplicationMonitor-WebOTX
    |- files
    |  |- linux
    |  |  |- CollectorWebOTX.ini
    |  |- windows
    |  |  |- CollectorWebOTX.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host.

3. Set the required variables for this role. For details, see "Role Variables".

4. Set optional variables for this role as needed. For details, see "Role Variables".

5. Execute a playbook.

Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_java_webotx
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-WebOTX

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
