SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer
=================================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントのWebSphere Application Server監視の設定を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、WebSphere Application Server監視の設定を行うことができます。

Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。
* 構築対象サーバには、事前にWebSphere Application Serverをインストールしておく必要があります。

Note
----

本RoleはSystemManager G WebSphere Application Server監視のエージェントサーバに対して実行してください。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_WAS_WSADMIN_PATH

WebSphere Application ServerのCLI設定ユーティリティーであるwsadminへのパス名をフルパス名で指定します。

#####  windows

Windows環境用のパス名を指定します。

#####  linux

Linux環境用のパス名を指定します。

#### VAR_SystemManagerG_WAS_CELL_NAME

wsadminコマンドの引数の一つであるCELL名を指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_NODE_NAME

wsadminコマンドの引数の一つであるNODE名を指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_SERVER_NAME

wsadminコマンドの引数の一つであるSERVER名を指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### WAS_SystemManagerG_PMI_SERVICE_ID

wsadminコマンドの引数の一つであるPMI IDを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_SYNCRONIZED_UPDATE_FLAG

wsadminコマンドの引数の一つであるsynchronizedUpdateパラメータで更新方法をTrueまたはFalseで指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_PMI_ENABLE_TRUE

wsadminコマンドの引数の一つであるenableパラメータでPMIの使用有無をTrueまたはFalseで指定します。性能情報を取得するためには、Trueを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

### VAR_SystemManagerG_WAS_STATISTICS_FLAG

wsadminコマンドの引数の一つであるstatisticSetパラメータで統計情報の取得レベルを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。
statisticSetパラメータには、以下の取得レベルを指定可能ですが、本ロールでは、Customは未サポートとなります。

* Basic: basic
* Extended: extended
* All: all
* Custom: custom

##### VAR_SystemManagerG_WAS_debugMode

デバッグモードを使用するか否かをtrue/falseで設定します。

##### VAR_SystemManagerG_WAS_debugArgs

デバッグモードの場合、デバッグオプションを設定します。

#### VAR_SystemManagerG_WAS_verboseModeJNI

WebSphere監視を行う場合には、verboseModeJNIオプションにtrueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_runHProf

WebSphere監視を行う場合には、runHProfオプションにtrueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

##### VAR_SystemManagerG_WAS_genericJvmArguments

WebSphere監視を行う場合には、genericJvmArgumentsオプションに「-agentlib:pmiJvmtiProfiler」を指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

# -disableJIT (true/false)
#### VAR_SystemManagerG_WAS_disableJIT
JITを無効化するためには、trueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

### Optional variables

必要な場合、設定を行います。

#### VAR_SystemManagerG_WAS_UserName

WebSphere Application Serverへのログインユーザー名を指定します。

#### VAR_SystemManagerG_WAS_Password

WebSphere Application Serverへのログインパスワードを指定します。
平文での指定となります。

#### VAR_SystemManagerG_WAS_verboseModeClass

ガベージコレクションの監視を行う場合には、-verboseModeClassオプションにtrueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_VerboseModeClass

ガベージコレクションの監視を行う場合には、verboseModeClassオプションにtrueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_WAS_VerboseModeGarbageCollection

ガベージコレクションの監視を行う場合には、verboseModeGarbageCollectionオプションにtrueを指定します。 本変数は、文字列として、true、falseのいずれかを指定します。詳細は、WebSphere Application Serverのマニュアルを参照願います。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

変更不可能なパラメーターです。

#### VAR_SystemManagerG_agent_collector_ini_file_name

WebSphere Application Server監視機能の設定ファイル名です。ファイル名を変更することはできません。
固定値：CollectorWebSphere.iniです。

#### VAR_SystemManagerG_agent_collector_file_name

ミドルウェア監視機能の共通設定ファイル名です。ファイル名を変更することはできません。
固定値：Collector.iniです。


Dependencies
------------

依存Roleとして、SystemManagerG_common_agent_service_restartを利用します。

Usage
-----

1. 本Roleのfiles/linuxまたはfiles/windowsディレクトリ配下に、WebSphere監視定義ファイルを格納します。監視定義ファイルは、Windowsエージェントに適用する場合には「文字コード：UTF-16LE(BOMあり) / 改行コード：CR+LF」、RHELエージェントに適用する場合には「文字コード：UTF-8(BOMなし) / 改行コード：LF」で作成してください。

    SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer
    |- files
    |  |- linux
    |  |  |- CollectorWebSphere.ini
    |  |- windows
    |  |  |- CollectorWebSphere.ini
    |  |  |- ...

2. 「SystemManagerG_Common_aganet_service_restart」Roleのvargにて、エージェントのインストールフォルダ名、対象ホストのOS種別に合わせて設定します。

3. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。
4. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。
5. Playbookを実行します。


Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_java_websphere
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
