SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer
=================================================

Description
-----------

This role sets to monitor agents registered in the topology view in SystemManager G with WebSphere Application Server. The user can store the setting in the location specified by this role and execute it for the agent server to set to monitor agents with WebSphere Application Server.

Requirements
------------

* This role must be executed on the server to be built with administrator authority. In Windows, create a playbook to execute this role as the user with administrator authority on the server to be built. In RHEL, create a playbook to execute this role as the root user on the server to be built.
* It is necessary to install WebSphere Application Server on the server to be built in advance.

Note
----

Execute this role for the SystemManager G WebSphere Application Server monitoring agent server.

Role Variables
--------------

The variables used with this role are described below.
Use a playbook to specify the variables described in "Mandatory variables" and "Optional variables".

### Mandatory variables

Be sure to specify the following variables when executing this role.

#### VAR_SystemManagerG_WAS_WSADMIN_PATH

Specify the full path name of the path to wsadmin, a CLI setting utility in WebSphere Application Server.

#####  windows

Specify the path name for Windows environment.

#####  linux

Specify the path name for Linux environment.

#### VAR_SystemManagerG_WAS_CELL_NAME

Specify the CELL name, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_NODE_NAME

Specify the NODE name, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_SERVER_NAME

Specify the SERVER name, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.

#### WAS_SystemManagerG_PMI_SERVICE_ID

Specify the PMI ID, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_SYNCRONIZED_UPDATE_FLAG

Specify the update procedure with True or False by using the synchronizedUpdate parameter, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_PMI_ENABLE_TRUE

Specify whether to use the PMI with True or False by using the enable parameter, which is a parameter for the wsadmin command. To acquire performance information, specify True. For details, see the WebSphere Application Server manual.

### VAR_SystemManagerG_WAS_STATISTICS_FLAG

Specify the statistic information acquisition level by using the statisticSet parameter, which is a parameter for the wsadmin command. For details, see the WebSphere Application Server manual.
Although the following acquisition levels can be specified for the statisticSet parameter, this role does not support Custom.

* Basic: basic
* Extended: extended
* All: all
* Custom: custom

##### VAR_SystemManagerG_WAS_debugMode

Specify whether to use the debug mode with true or false.

##### VAR_SystemManagerG_WAS_debugArgs

In the debug mode, set the debug option.

#### VAR_SystemManagerG_WAS_verboseModeJNI

To perform WebSphere monitoring, specify true for the verboseModeJNI option. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_runHProf

To perform WebSphere monitoring, specify true for the runHProf option. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

##### VAR_SystemManagerG_WAS_genericJvmArguments

To perform WebSphere monitoring, specify "-agentlib:pmiJvmtiProfiler" for the genericJvmArguments option. For details, see the WebSphere Application Server manual.

# -disableJIT (true/false)
#### VAR_SystemManagerG_WAS_disableJIT
To disable the JIT, specify true. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

### Optional variables

Specify the settings as needed.

#### VAR_SystemManagerG_WAS_UserName

Specify the login user name to WebSphere Application Server.

#### VAR_SystemManagerG_WAS_Password

Specify the login password to WebSphere Application Server.
Specify them in plain text.

#### VAR_SystemManagerG_WAS_verboseModeClass

To monitor garbage collection, specify true for the -verboseModeClass option. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_VerboseModeClass

To monitor garbage collection, specify true for the -verboseModeClass option. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_WAS_VerboseModeGarbageCollection

To monitor garbage collection, specify true for the verboseModeGarbageCollection option. For this variable, specify true or false as a character string. For details, see the WebSphere Application Server manual.

#### VAR_SystemManagerG_agent_install_path

Specify the agent installation destination (installation path).

#####  windows

Specify the folder name for Windows.
If this is omitted, C:\Program Files (x86)\NEC\UMF\Operations is set.

#####  linux

Specify the folder name for Linux.
If this is omitted, /opt/UMF/Operations is set.

### Unchangeable variable

This parameter cannot be changed.

#### VAR_SystemManagerG_agent_collector_ini_file_name

This is the name of the configuration file for the WebSphere Application Server monitoring function. This file cannot be renamed.
The name is fixed to CollectorWebSphere.ini.

#### VAR_SystemManagerG_agent_collector_file_name

Name of common configuration file for the middleware monitoring function. This file cannot be renamed.
The name is fixed to Collector.ini.


Dependencies
------------

SystemManagerG_common_agent_service_restart is used as the dependent role.

Usage
-----

1. Store the WebSphere monitoring definition file in the files/linux or files/windows directory for this role. When applying the monitoring definition file to the Windows agent, create it using the "character encoding: UTF-16LE (with BOM)/line feed code: CR+LF". When applying the monitoring definition file to the RHEL agent, create it using the "character encoding: UTF-8 (without BOM)/line feed code: LF".

    SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer
    |- files
    |  |- linux
    |  |  |- CollectorWebSphere.ini
    |  |- windows
    |  |  |- CollectorWebSphere.ini
    |  |  |- ...

2. Specify the agent installation folder name according to the OS type of target host by using varg in the "SystemManagerG_Common_aganet_service _restart".

3. Set the required variables for this role. For details, see "Role Variables".
4. Set optional variables for this role as needed. For details, see "Role Variables".
5. Execute a playbook.


Example Playbook
----------------

To install an agent and import the monitoring setting, store the provided role in the "role" directory and create the playbook described below.

    - hosts: monitoring_java_websphere
      roles:
        - role: SystemManagerG_setup_agent-ApplicationMonitor-WebSphereApplicationServer

Troubleshooting
---------------

None

License
-------

Use this role within the scope of license of the main product.

Copyright
---------

Copyright (c) NEC Corporation 2017
