SystemManagerG_setup_manager-TopologyView
=========================================

Description
-----------

本Roleは、SystemManager Gのトポロジビューに登録されたエージェントの監視設定を行います。利用者は、監視定義ファイルを作成し本Role指定の場所に格納してマネージャサーバに対して実行することで、エージェントの監視設定を行うことができます。

Requirements
------------

* 本Roleはマネージャサーバ上で管理者権限による実行が必要です。Windowsの場合は、マネージャサーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、マネージャサーバ上でrootユーザで実行するようにPlaybookを作成してください。

Note
----

* 本RoleはSystemManager G マネージャサーバに対して実行してください。
* 本RoleはTopologyCmd IMPORTコマンドを利用して監視設定を行っています。従って、リモート監視エージェントや「未登録のホスト」に登録されているエージェントに対して監視設定を行うことはできません。その他の仕様や注意事項については、コマンドリファレンス(ヘルプ差分)(TopologyCmdSgImpExp_Cmd.pdf)、TopologyCmd監視定義の一括登録/設定内容確認ファイル仕様書(TopologyCmdSgImpExp_File.pdf)、カレンダ管理・スケジュール管理インポート定義ファイルリファレンス(Calendar_Schedule_Import.pdf)を参照してください。
* 本Roleの実行中に定義モードを取得するコマンドを実行します。本Roleの実行中は他の操作で定義モードを取得しないようにしてください。他の操作で定義モードを取得している場合には、本Roleの実行は失敗します。定義モードについては、SystemManager G マニュアルの「監視画面の動作モード説明」を参照してください。

Role Variables
--------------

本Roleで使用する変数(defaults/main.yml)について説明します。

### Mandatory variables

実行時には、以下の変数を必ず指定します。

#### VAR_SystemManagerG_import_agent_list

監視設定をマッピングとシーケンス形式で指定します。

 * nameキー
   * 監視定義を適用するエージェント名を指定してください。エージェント名はインストール時に指定したエージェント名、またはトポロジビューに表示されているエージェント名、またはTopologyCmd LISTコマンドで表示される名称を指定します。

 * importキー
   * 監視定義ファイルを格納したディレクトリを本Roleのfiles/importディレクトリからの相対パスで指定します。監視定義ファイルは本Roleのfiles/importディレクトリ配下に任意の名前のディレクトリを作成して格納します。

 * appmonitorキー
   * 監視定義ファイルにてアプリケーション管理機能の設定を行った場合に、有効化するアプリケーション名を指定します。指定可能な値は以下の通りです。
     * Oracle
     * IIS
     * SQLServer
     * WebLogicServer
     * PostgreSQL
     * WebOTX
     * Apache
     * Tomcat
     * SAP
     * SVF
     * JavaAP
     * WebSphere

本Roleのfiles/importディレクトリ配下にMonitorAディレクトリとMonitorBを作成して監視定義ファイルを格納し、AgentAにMonitorAディレクトリに格納した監視定義ファイルを適用し、AgentBにMonitorBディレクトリに格納した監視定義ファイルを適用しOracleとJavaAPを有効化し、AgentCにMonitorAディレクトリに格納した監視定義ファイルを適用する例を以下に示します。

    SystemManagerG_setup_manager-TopologyView
    |- files
    |  |- import
    |  |  |- MonitorA
    |  |  |  |- Topology.txt
    |  |  |  |- Process.txt
    |  |  |  |- ...
    |  |  |- MonitorB
    |  |  |  |- Topology.txt
    |  |  |  |- Process.txt
    |  |  |  |- ...

    VAR_SystemManagerG_import_agent_list:
     - name: AgentA
       import: MonitorA
     - name: AgentB
       import: MonitorB
       appmonitor:
         - Oracle
         - JavaAP
     - name: AgentC
       import: MonitorA

本Roleのfiles/importディレクトリ配下に任意のサブディレクトリを作成して監視定義ファイルを格納することも可能です。

    SystemManagerG_setup_manager-TopologyView
    |- files
    |  |- import
    |  |  |- SystemA
    |  |  |  |- MonitorA
    |  |  |  |  |- Topology.txt
    |  |  |  |  |- Process.txt
    |  |  |  |  |- ...
    |  |  |- SystemB
    |  |  |  |- MonitorB
    |  |  |  |  |- Topology.txt
    |  |  |  |  |- Process.txt
    |  |  |  |  |- ...

    VAR_SystemManagerG_import_agent_list:
     - name: AgentA
       import: SystemA/MonitorA
     - name: AgentB
       import: SystemB/MonitorB
       appmonitor:
         - Oracle
         - JavaAP
     - name: AgentC
       import: SystemA/MonitorA

マネージャサーバがWindowsの場合は、importキーで指定するディレクトリパスの区切り文字を「\\」にしてください。

    VAR_SystemManagerG_import_agent_list:
     - name: AgentA
       import: SystemA\\MonitiorA
     - name: AgentB
       import: SystemB\\MonitorB
       appmonitor:
         - IIS
         - Oracle
     - name: AgentC
       import: SystemA\\MonitorA

### Optional variables

以下の変数は任意で設定します。

#### VAR_SystemManagerG_manager_install_path

マネージャがインストールされているパスを指定します。
本変数を指定しない場合には以下のパスにマネージャがインストールされているとみなして実行されます。

* Windowsの場合: %ProgramFiles(x86)%\NEC\UMF\Operations
* RHELの場合: /opt/UMF/Operations

#### VAR_SystemManagerG_tmp_path

本Roleが使用する一時作業ディレクトリを指定します。
一時作業ディレクトリには、監視定義ファイル(本Roleのfiles配下)サイズ分の空き容量が必要です。

指定したディレクトリが存在しない場合は、自動的に作成されます。
本Roleが正常に終了した場合、ディレクトリは自動的に削除されます。

本変数を指定しない場合には以下のディレクトリを使用します。

Windowsの場合: %TEMP%\sysmgrg_ansible
RHELの場合: /tmp/sysmgrg_ansible

#### VAR_SystemManagerG_import_agent_check_retries

本Roleでは、監視定義の適用前にエージェントがマネージャに接続しているかを確認します。
本変数は、エージェントの接続確認のリトライを行う回数を整数で指定することができます。
通常は本変数を指定する必要はありません。
本変数を指定しない場合は5回に設定されて動作します。

#### VAR_SystemManagerG_import_agent_check_delay

本Roleでは、監視定義の適用前にエージェントがマネージャに接続しているかを確認します。
本変数は、エージェントが接続していない場合にリトライを行うまでの待ち時間(秒)を整数で指定することができます。
通常は本変数を指定する必要はありません。
本変数を指定しない場合は60秒に設定されて動作します。

Dependencies
------------

なし

Usage
-----

1) 「TopologyCmd監視定義の一括登録/設定内容確認ファイル仕様書」および「カレンダ管理・スケジュール管理インポート定義ファイルリファレンス」を参照して監視定義ファイルを作成します。または、監視端末のトポロジビューから既存のエージェントの監視定義をエクスポートして監視定義ファイルを作成します。監視定義ファイルは適用するマネージャOSの種別に従って、文字コードや改行コードを変換する必要があります。詳しくはドキュメントを参照してください。

2) 本Roleのfiles/importディレクトリ配下に任意の名前のディレクトリを作成して監視定義ファイルを格納します。詳しくは"Role Variables"を参照してください。

3) アプリケーション管理機能のIIS監視で64bitカウンタの監視をする場合は、本Roleのfiles/sgディレクトリ配下にCollectorObject.iniを格納します。CollectorObject.iniはマネージャサーバに配置され、マネージャサービスの再起動が行われて設定が適用されます。CollectorObject.iniについてはSystemManager G マニュアルの「IIS監視の事前準備を行う」を参照してください。

4) 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

5) 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

6) Playbookを実行します。

Example Playbook
----------------

提供したRoleを"roles"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: ManagerServer
      vars_files:
        - vars/main.yml
      roles:
        - role: SystemManagerG_setup_manager-TopologyView

vars/main.yml の内容

    VAR_SystemManagerG_import_agent_list:
      - name: AgentA
        import: MonitorA
      - name: AgentB
        import: MonitorB
        appmonitor:
          - Oracle
          - JavaAP
      - name: AgentC
        import: MonitorA

エージェントのインストールと監視設定を行う場合は、提供したRoleを"roles"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。本Roleを使った監視設定は「未登録のホスト」に登録されたエージェントに対しては実行できませんので、インストールを行うRoleにてトポロジビューのグループに所属するように設定を行ってください。

    - hosts: AgentServers
      vars_files:
        - vars/install.yml
      roles:
        - role: SystemManagerG_install_agent

    - hosts: ManagerServer
      vars_files:
        - vars/setup.yml
      roles:
        - role: SystemManagerG_setup_manager-TopologyView

vars/install.yml の内容

    VAR_SystemManagerG_agent_install_type: normal
    VAR_SystemManagerG_manager_name: ManagerServer
    VAR_SystemManagerG_agent_topology_group: GroupA

vars/setup.yml の内容

    VAR_SystemManagerG_import_agent_list:
      - name: AgentA
        import: MonitorA
      - name: AgentB
        import: MonitorB
        appmonitor:
          - Oracle
          - JavaAP
      - name: AgentC
        import: MonitorA

Troubleshooting
---------------

#### TASK [Create the temporary directory] で失敗する

VAR_SystemManagerG_tmp_path で指定した一時作業ディレクトリの作成で失敗しています。
指定したパスが正しいか確認してください。

#### TASK [Check for the existance of agents] で失敗する

VAR_SystemManagerG_import_agent_list で指定したエージェントの存在確認で失敗しています。
* VAR_SystemManagerG_manager_install_path で指定したマネージャのパス(指定していない場合は既定値)が正しいか確認してください。
* VAR_SystemManagerG_import_agent_list で指定したエージェント名に誤りがないか確認してください。
* VAR_SystemManagerG_import_agent_list で指定したエージェントがマネージャに接続しているか監視端末で確認してください。

#### TASK [Import template file to the agent] で失敗する

VAR_SystemManagerG_import_agent_list で指定した監視定義ファイルの適用で失敗しています。
* VAR_SystemManagerG_import_agent_list で指定したディレクトリに監視定義ファイルが存在するか確認してください。
* 監視定義ファイルの書式や文字コード、改行コードが正しいか確認してください。


License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
